Bug 1396765 - firewall-cmd --add-service=samba doesn't work
Summary: firewall-cmd --add-service=samba doesn't work
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: firewalld
Version: 24
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Thomas Woerner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1396745 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-19 22:25 UTC by jan p. springer
Modified: 2018-04-04 08:42 UTC (History)
4 users (show)

Fixed In Version: firewalld-0.4.4.2-1.fc25 firewalld-0.4.4.2-1.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-04 08:42:47 UTC


Attachments (Terms of Use)

Description jan p. springer 2016-11-19 22:25:14 UTC
Description of problem:

after update to firewalld-0.4.4.1 samba server stopped being accessible by remote clients. iptables -L did not list any samba related ports being allowed. manual setup with

  firewall-cmd --permanent --add-service=samba

doesn't work (actually, it complains that the samba rule is already active). current workaround is to to manually set add the ports for smbd/nmbd:

  firewall-cmd --permanent --add-port=139/tcp
  firewall-cmd --permanent --add-port=445/tcp
  firewall-cmd --permanent --add-port=137/udp
  firewall-cmd --permanent --add-port=138/udp
  firewall-cmd --reload

Version-Release number of selected component (if applicable):

firewalld-0.4.4.1-1.fc24.noarch

How reproducible:

always

Steps to Reproduce:
1. update to firewalld-0.4.4.1 via dnf

Actual results:

samba server cannot be accessed by remote clients

Expected results:

samba server keeps working

Additional info:

Comment 1 Rubén Lledó 2016-11-20 20:55:56 UTC
*** Bug 1396745 has been marked as a duplicate of this bug. ***

Comment 2 Igor Gnatenko 2016-11-22 11:39:04 UTC
I guess duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=1395909.

Comment 3 Igor Gnatenko 2016-11-22 11:39:26 UTC
Please attach logs.

Comment 4 Rubén Lledó 2016-11-24 22:35:57 UTC
(In reply to Igor Gnatenko from comment #3)
> Please attach logs.

It seems to be solved in Fedora 25. I used firewall GUI: I checked on/off samba service, switched from runtime to permanent, restarted firewalld and everything was ok again. I don't really know if 

firewall-cmd --permanent --add-port=139/tcp
firewall-cmd --permanent --add-port=445/tcp
firewall-cmd --permanent --add-port=137/udp
firewall-cmd --permanent --add-port=138/udp
firewall-cmd --reload

could have somehow affected and solved it forever. Anyway, please tell me how to generate logs (journalctl, perhaps?)

Comment 5 Fedora Update System 2016-12-01 14:53:19 UTC
firewalld-0.4.4.2-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3dd8b5f4e1

Comment 6 Fedora Update System 2016-12-01 14:53:57 UTC
firewalld-0.4.4.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2ca3e59b5

Comment 7 Fedora Update System 2016-12-01 14:54:18 UTC
firewalld-0.4.4.2-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b566ecf579

Comment 8 Fedora Update System 2016-12-03 04:28:50 UTC
firewalld-0.4.4.2-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b566ecf579

Comment 9 Fedora Update System 2016-12-03 04:35:05 UTC
firewalld-0.4.4.2-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3dd8b5f4e1

Comment 10 Fedora Update System 2016-12-03 05:41:44 UTC
firewalld-0.4.4.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-f2ca3e59b5

Comment 11 Fedora Update System 2016-12-04 02:27:27 UTC
firewalld-0.4.4.2-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-12-04 05:25:36 UTC
firewalld-0.4.4.2-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-12-05 17:37:50 UTC
firewalld-0.4.4.2-2.fc23 selinux-policy-3.13.1-158.25.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a0533d057

Comment 14 Fedora Update System 2016-12-13 05:25:08 UTC
firewalld-0.4.4.2-2.fc23, selinux-policy-3.13.1-158.25.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8a0533d057

Comment 15 jan p. springer 2017-01-11 15:50:20 UTC
f25 rpm updates work fine, though now i have the rules twice (once from manual adding and once from the rpm updates). is there a simple way to make them "uniq"?

other than that the bug can be closed

Comment 16 Fedora End Of Life 2017-07-25 23:57:05 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-08-08 19:18:59 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 18 Jonathan Underwood 2018-04-04 08:27:38 UTC
Re-opening this. On Fedora 27, enabling samba for firewalld doesn't open up the ports for nmbd:

PORT     STATE SERVICE
22/tcp   open  ssh
139/tcp  open  netbios-ssn
445/tcp  open  microsoft-ds
9090/tcp open  zeus-admin

Comment 19 Jonathan Underwood 2018-04-04 08:42:47 UTC
Ah, my mistake, it is fixed (I forgot 137 and 138 should be UDP). Re-closing, sorry for the noise.


Note You need to log in before you can comment on or make changes to this bug.